import * as i0 from '@angular/core';
import { forwardRef, Component, ChangeDetectionStrategy, Input, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import * as i1 from '@covalent/echarts/base';
import { TdSeriesDirective } from '@covalent/echarts/base';

class TdChartSeriesTreeComponent extends TdSeriesDirective {
    constructor(_optionsService) {
        super('tree', _optionsService);
    }
    getConfig() {
        return {
            zlevel: this.zlevel,
            z: this.z,
            left: this.left,
            top: this.top,
            right: this.right,
            bottom: this.bottom,
            width: this.width,
            height: this.height,
            layout: this.layout,
            orient: this.orient,
            symbol: this.symbol,
            symbolSize: this.symbolSize,
            symbolRotate: this.symbolRotate,
            symbolKeepAspect: this.symbolKeepAspect,
            roam: this.roam,
            expandAndCollapse: this.expandAndCollapse,
            initialTreeDepth: this.initialTreeDepth,
            itemStyle: this.itemStyle,
            label: this.label,
            lineStyle: this.lineStyle,
            leaves: this.leaves,
            emphasis: this.emphasis,
        };
    }
}
TdChartSeriesTreeComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.2.2", ngImport: i0, type: TdChartSeriesTreeComponent, deps: [{ token: i1.TdChartOptionsService }], target: i0.ɵɵFactoryTarget.Component });
TdChartSeriesTreeComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "12.0.0", version: "13.2.2", type: TdChartSeriesTreeComponent, selector: "td-chart-series[td-tree]", inputs: { config: "config", id: "id", name: "name", color: "color", data: "data", animation: "animation", animationThreshold: "animationThreshold", animationDuration: "animationDuration", animationEasing: "animationEasing", animationDelay: "animationDelay", animationDurationUpdate: "animationDurationUpdate", animationEasingUpdate: "animationEasingUpdate", animationDelayUpdate: "animationDelayUpdate", tooltip: "tooltip", zlevel: "zlevel", z: "z", left: "left", top: "top", right: "right", bottom: "bottom", width: "width", height: "height", layout: "layout", orient: "orient", symbol: "symbol", symbolSize: "symbolSize", symbolRotate: "symbolRotate", symbolKeepAspect: "symbolKeepAspect", roam: "roam", expandAndCollapse: "expandAndCollapse", initialTreeDepth: "initialTreeDepth", itemStyle: "itemStyle", label: "label", lineStyle: "lineStyle", leaves: "leaves", emphasis: "emphasis" }, providers: [
        {
            provide: TdSeriesDirective,
            useExisting: forwardRef(() => TdChartSeriesTreeComponent),
        },
    ], usesInheritance: true, ngImport: i0, template: '', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.2.2", ngImport: i0, type: TdChartSeriesTreeComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'td-chart-series[td-tree]',
                    template: '',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    inputs: [
                        'config',
                        'id',
                        'name',
                        'color',
                        'data',
                        'animation',
                        'animationThreshold',
                        'animationDuration',
                        'animationEasing',
                        'animationDelay',
                        'animationDurationUpdate',
                        'animationEasingUpdate',
                        'animationDelayUpdate',
                        'tooltip',
                    ],
                    providers: [
                        {
                            provide: TdSeriesDirective,
                            useExisting: forwardRef(() => TdChartSeriesTreeComponent),
                        },
                    ],
                }]
        }], ctorParameters: function () { return [{ type: i1.TdChartOptionsService }]; }, propDecorators: { zlevel: [{
                type: Input
            }], z: [{
                type: Input
            }], left: [{
                type: Input
            }], top: [{
                type: Input
            }], right: [{
                type: Input
            }], bottom: [{
                type: Input
            }], width: [{
                type: Input
            }], height: [{
                type: Input
            }], layout: [{
                type: Input
            }], orient: [{
                type: Input
            }], symbol: [{
                type: Input
            }], symbolSize: [{
                type: Input
            }], symbolRotate: [{
                type: Input
            }], symbolKeepAspect: [{
                type: Input
            }], roam: [{
                type: Input
            }], expandAndCollapse: [{
                type: Input
            }], initialTreeDepth: [{
                type: Input
            }], itemStyle: [{
                type: Input
            }], label: [{
                type: Input
            }], lineStyle: [{
                type: Input
            }], leaves: [{
                type: Input
            }], emphasis: [{
                type: Input
            }] } });

const TREE_MODULE_COMPONENTS = [TdChartSeriesTreeComponent];
class CovalentTreeEchartsModule {
}
CovalentTreeEchartsModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "13.2.2", ngImport: i0, type: CovalentTreeEchartsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
CovalentTreeEchartsModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "12.0.0", version: "13.2.2", ngImport: i0, type: CovalentTreeEchartsModule, declarations: [TdChartSeriesTreeComponent], imports: [CommonModule], exports: [TdChartSeriesTreeComponent] });
CovalentTreeEchartsModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "13.2.2", ngImport: i0, type: CovalentTreeEchartsModule, imports: [[CommonModule]] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "13.2.2", ngImport: i0, type: CovalentTreeEchartsModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [TREE_MODULE_COMPONENTS],
                    exports: [TREE_MODULE_COMPONENTS],
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { CovalentTreeEchartsModule, TREE_MODULE_COMPONENTS, TdChartSeriesTreeComponent };
//# sourceMappingURL=covalent-echarts-tree.mjs.map
